Package org.kapott.hbci.manager

# Class ChallengeInfo

java.lang.Object
org.kapott.hbci.manager.ChallengeInfo

public class ChallengeInfo extends Object
Diese Klasse ermittelt die noetigen HKTAN-Challenge-Parameter fuer einen Geschaeftsvorfall

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ChallengeInfo.HhdVersion`
Eine Bean fuer den Parameter-Satz eines Geschaeftvorfalles innerhalb einer HHD-Version.
`static class`
`ChallengeInfo.Job`
Eine Bean fuer die Parameter-Saetze eines Geschaeftsvorfalles fuer die HHD-Versionen.
`static class`
`ChallengeInfo.Param`
Eine Bean fuer einen einzelnen Challenge-Parameter.

## Method Summary

Modifier and Type
Method
Description
`void`
`applyParams(HBCIJobImpl task, HBCIJob hktan, Properties secmech)`
Uebernimmt die Challenge-Parameter in den HKTAN-Geschaeftsvorfall.
`ChallengeInfo.Job`
`getData(String code)`
Liefert die Challenge-Daten fuer einen Geschaeftsvorfall.
`static ChallengeInfo`
`getInstance()`
Erzeugt ein neues Challenge-Info-Objekt.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static ChallengeInfo getInstance()
Erzeugt ein neues Challenge-Info-Objekt.

Returns:
  das Challenge-Info-Objekt.

### getData

public ChallengeInfo.Job getData(String code)
Liefert die Challenge-Daten fuer einen Geschaeftsvorfall.

Parameters:
  `code` - die Segmentkennung des Geschaeftsvorfalls.
Returns:
  die Challenge-Daten.

### applyParams

public void applyParams(HBCIJobImpl task, HBCIJob hktan, Properties secmech)
Uebernimmt die Challenge-Parameter in den HKTAN-Geschaeftsvorfall.

Parameters:
  `task` - der Job, zu dem die Challenge-Parameter ermittelt werden sollen.
  `hktan` - der HKTAN-Geschaeftsvorfall, in dem die Parameter gesetzt werden sollen.
  `secmech` - die BPD-Informationen zum TAN-Verfahren.